> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/2026-05/returns.md).

# Returns

The return object and the allowed CRUD operations on the related resource endpoint

Returns are linked to one specific order. They get created in `draft` status and become `requested` when a customer requests to return SKUs from an order. Requested returns can be `approved` or `cancelled`. An approved return becomes `shipped` once it leaves the customer's address (origin). As soon as they reach the available return location (destination), shipped returns can either be marked as `received` — after which its [return line items](/core-api-reference/2026-05/return_line_items.md) can be restocked to an [inventory location](/core-api-reference/2026-05/inventory_stock_locations.md) — or, in case of any errors (e.g. the customer sent back the wrong products), be marked as `rejected`. Received returns can be [refunded](#refunding-from-a-return), in which case, their status becomes `refunded`.

{% hint style="info" %}
Returns are still creatable and updatable even when the associated order's fulfillment status is `in_progress`. If needed, you can also mark a return as received directly from the `requested` or `approved` status.
{% endhint %}

## Refunding from a return

Once a return is `received`, the refund process works in two steps:

1. Create one or more [payment refunds](/core-api-reference/2026-05/payment_refunds.md) against the order's [payment sessions](/core-api-reference/2026-05/payment_sessions.md) to cover the amount to be returned.
2. Once the total of succeeded refunds equals or exceeds the `estimated_refund_amount_cents`, pass the `_refund` trigger on the return to mark it as `refunded`.

{% hint style="info" %}
The `estimated_refund_amount_cents` attribute provides a suggested refund amount computed from the price and quantity of the returned items. It is a guide — the actual refund amount is determined by the payment refunds you create against the order's sessions.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/2026-05/returns.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
